#
# spec file for package perl-RPM2
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-RPM2
Version:        1.3
Release:        3.1
Summary:        Perl bindings for the RPM Package Manager API
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/RPM2/
Source0:        http://search.cpan.org/CPAN/authors/id/L/LK/LKUNDRAK/RPM2-%{version}.tar.gz
BuildRequires:  perl
BuildRequires:  pkgconfig
BuildRequires:  rpm-devel >= 4.6
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Build) >= 0.4200
Requires:       perl(File::Basename)
Requires:       perl(File::Spec)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}

%description
The RPM2 module provides an object-oriented interface to querying both the
installed RPM database as well as files on the filesystem.

%prep
%setup -q -n RPM2-%{version}

%build
perl ./Build.PL
./Build

%install
./Build pure_install --destdir %{buildroot} --installdirs vendor
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%perl_process_packlist
%perl_gen_filelist

%check
./Build test verbose=1

%files -f %{name}.files
%defattr(-,root,root,-)
%doc Changes README

%changelog
* Thu Aug 11 2016 asterios.dramis@gmail.com
- Update to version 1.3:
  * Fix build with RPM 4.10
  * Test fixes
  * Minor tidy-ups
  * Fix $flags defaults for open_package [Charlie Brady]
  * 1.1 and 1.2 skipped due to PAUSE requirements on submodile
    versioning
- Removed perl-RPM2-fix_test_plan.patch and
  perl-RPM2-switchofffunctions.patch (fixed upstream).
- Updated perl(Module::Build) build requirement to >= 0.4200.
* Sat May 18 2013 asterios.dramis@gmail.com
- Added a patch (perl-RPM2-switchofffunctions.patch) to fix build with newer
  rpm (taken from Fedora).
- Updated license to "Artistic-1.0 or GPL-1.0+".
- Removed perl-macros, perl(File::Spec), perl(File::Basename), gcc, make and
  glibc-devel build requirements (not needed). Added perl as build requirement.
* Sat Apr  2 2011 pascal.bleser@opensuse.org
- initial version (1.0)
